MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027948Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-10-11 08:362018-04-11 11:59
Reportermpv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027948: Cut produces unexcpected shape
DescriptionBoolean cut between attached a and b produces no hole, just a partition by faces.
Steps To Reproducerestore a.brep a
restore b.brep b
bcut r a b

There is no hole in 'r'; 'explode r Fa' produces 'r_15', 'r_16', 'r_17' that should be suppressed.

Note that 'checkshape' and 'bopcheck' find no errors.
TagsNo tags attached.
Test case numberbugs modalg_7 bug27948
Attached Files? file icon a.brep (75,554 bytes) 2016-10-11 08:36
? file icon b.brep (8,034 bytes) 2016-10-11 08:36

- Relationships

-  Notes
(0069794)
apv (tester)
2017-08-23 15:40

Problem described in issue is reproduced on current state of OCCT.
(0074941)
emv (developer)
2018-03-27 09:51

The problem is fixed by the fix for the issue #29646 and should be closed after integration of the latter.

- Issue History
Date Modified Username Field Change
2016-10-11 08:36 mpv New Issue
2016-10-11 08:36 mpv Assigned To => msv
2016-10-11 08:36 mpv File Added: a.brep
2016-10-11 08:36 mpv File Added: b.brep
2016-10-28 12:16 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-08-23 15:40 apv Test case number => bugs modalg_7 bug27948
2017-08-23 15:40 apv Note Added: 0069794
2017-12-05 16:59 msv Target Version 7.3.0 => 7.4.0*
2018-03-27 09:51 emv Note Added: 0074941
2018-03-27 09:51 emv Assigned To msv => bugmaster
2018-03-27 09:51 emv Status new => feedback
2018-03-27 09:51 emv Relationship added related to 0029646
2018-04-11 11:59 bugmaster Status feedback => verified
2018-04-11 11:59 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker